aboutsummaryrefslogtreecommitdiff
path: root/common/hooks/pre-pkg
diff options
context:
space:
mode:
authorEnno Boland <g@s01.de>2014-08-13 20:30:51 +0000
committerEnno Boland <g@s01.de>2014-08-13 20:30:51 +0000
commit0f20ab1139247ebff6267d4502d1f4f11dbd4ea7 (patch)
treedf00a4228d96077505122de4c606adc5fc57b836 /common/hooks/pre-pkg
parentb317e8ff03931639e0cebec5bd44a8c5e4318293 (diff)
downloadvoid-packages-0f20ab1139247ebff6267d4502d1f4f11dbd4ea7.tar
void-packages-0f20ab1139247ebff6267d4502d1f4f11dbd4ea7.tar.gz
void-packages-0f20ab1139247ebff6267d4502d1f4f11dbd4ea7.tar.bz2
void-packages-0f20ab1139247ebff6267d4502d1f4f11dbd4ea7.tar.lz
void-packages-0f20ab1139247ebff6267d4502d1f4f11dbd4ea7.tar.xz
void-packages-0f20ab1139247ebff6267d4502d1f4f11dbd4ea7.tar.zst
void-packages-0f20ab1139247ebff6267d4502d1f4f11dbd4ea7.zip
common/hooks: delta creation: only generate own delta for own XBPS_TARGET_MACHINE
Diffstat (limited to 'common/hooks/pre-pkg')
-rw-r--r--common/hooks/pre-pkg/01-xdelta_repolist.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/common/hooks/pre-pkg/01-xdelta_repolist.sh b/common/hooks/pre-pkg/01-xdelta_repolist.sh
index 9c73c3e057f..b67ebf17a66 100644
--- a/common/hooks/pre-pkg/01-xdelta_repolist.sh
+++ b/common/hooks/pre-pkg/01-xdelta_repolist.sh
@@ -3,9 +3,10 @@
hook() {
type -P xdelta3 > /dev/null || return 0
+ env
# create links to preserve old versions of repodata
- find $XBPS_REPOSITORY -name '*-repodata' | while read; do
- rm "${REPLY}.genVcdiff"
+ find $XBPS_REPOSITORY -name "${XBPS_TARGET_MACHINE}-repodata" | while read; do
+ rm "${REPLY}.genVcdiff" || true
cp "${REPLY}" "${REPLY}.genVcdiff"
done
}